Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Asynch_Invocation Class Reference

Base class for TAO_GIOP_Twoway_Asynch_Invocation and TAO_GIOP_DII_Deferred_Invocation. More...

`#include <Asynch_Invocation.h>`

Inheritance diagram for TAO_GIOP_Asynch_Invocation

[legend]
Collaboration diagram for TAO_GIOP_Asynch_Invocation:

[legend]
List of all members.

## Public Methods
| TAO_GIOP_Asynch_Invocation (void)
| Default constructor. This should never get called, it is here only to appease older versions of g++.
| TAO_GIOP_Asynch_Invocation (TAO_Stub *stub, const char *operation, CORBA::ULong opname_len, CORBA::Boolean argument_flag, TAO_ORB_Core *orb_core, int byte_order = TAO_ENCAP_BYTE_ORDER)
| Constructor.
virtual int | invoke (CORBA_Environment &TAO_IN_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
| Send request, without blocking until any reply comes back.
void | start (CORBA_Environment &TAO_IN_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
| Establishes a connection to the remote server, initializes headers etc.
## Protected Methods
virtual int | invoke_i (CORBA::Environment &ACE_TRY_ENV) = 0 throw (CORBA::SystemException)
| Must be overridden.
## Protected Attributes
TAO_Asynch_Reply_Dispatcher_Base* | rd_
| Reply dispatcher for the current asynchronous invocation.

## Detailed Description

Base class for TAO_GIOP_Twoway_Asynch_Invocation and TAO_GIOP_DII_Deferred_Invocation.

## Constructor & Destructor Documentation

TAO_GIOP_Asynch_Invocation::TAO_GIOP_Asynch_Invocation ( | void )`[inline]`

| Default constructor. This should never get called, it is here only to appease older versions of g++.

ACE_INLINE TAO_GIOP_Asynch_Invocation::TAO_GIOP_Asynch_Invocation ( | TAO_Stub * stub,
| const char * operation,
| CORBA::ULong opname_len,
| CORBA::Boolean argument_flag,
| TAO_ORB_Core * orb_core,
| int byte_order = TAO_ENCAP_BYTE_ORDER )

| Constructor.

## Member Function Documentation

int TAO_GIOP_Asynch_Invocation::invoke ( | CORBA_Environment & TAO_IN_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

| Send request, without blocking until any reply comes back.

int TAO_GIOP_Asynch_Invocation::invoke_i ( | CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[protected, pure virtual]`

| Must be overridden. Reimplemented in TAO_GIOP_Twoway_Asynch_Invocation.

void TAO_GIOP_Asynch_Invocation::start ( | CORBA_Environment & TAO_IN_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

| Establishes a connection to the remote server, initializes headers etc.

## Member Data Documentation

TAO_Asynch_Reply_Dispatcher_Base * TAO_GIOP_Asynch_Invocation::rd_`[protected]`

| Reply dispatcher for the current asynchronous invocation.

The documentation for this class was generated from the following files:

- Asynch_Invocation.h
- Asynch_Invocation.cpp
- Asynch_Invocation.i